﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Rifts.Models.Characters
{
	partial class Character
	{
		public string Class
		{
			get { return Get<string>("Class"); }
			set { Set(value, "Class"); }
		}

		public EditableObservableCollection<String> ClassGroups
		{
			get { return GetNew<EditableObservableCollection<String>>("ClassGroups"); }
		}

		public int Level
		{
			get { return Get<int>(1, "Level"); }
			set { Set(value, "Level"); }
		}

		public int Experience
		{
			get { return Get<int>("Experience"); }
			set { Set(value, "Experience"); }
		}

		public int? ExperienceNextLevel
		{
			get { return Get<int?>("ExperienceNextLevel"); }
			set { Set(value, "ExperienceNextLevel"); }
		}
	}
}
