﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using Rifts.Models.Definitions;

namespace Rifts.Creator
{
	/// <summary>
	/// Interaction logic for RollPsionics.xaml
	/// </summary>
	public partial class RollPsionics : Page
	{
		public RollPsionics()
		{
			InitializeComponent();
			DataContextChanged += RollPsionics_DataContextChanged;

		}

		void RollPsionics_DataContextChanged(object sender, DependencyPropertyChangedEventArgs e)
		{
			TypedDataContext.StepList.Add(new BuildStep("SelectClass"));
			TypedDataContext.CanMoveNext = true;
		}

		public CreatorViewModel TypedDataContext
		{
			get { return (CreatorViewModel)DataContext; }
		}
	}
}
